{  

				 LODE3.PAS

		PAS Source code created by FontEdit ][ v2.00
	       (C) Copyright 1994, SEI Soft'94 by Ivan Llanas

	       Original idea & code by Manel Rodero Blnquez

    FE][ }

UNIT LODE3;

INTERFACE

USES Dos;

CONST
    NousCaracters=256;

PROCEDURE LoadLODE3;

IMPLEMENTATION

PROCEDURE LoadLODE3;

TYPE
    CharArray = ARRAY [CHAR] OF ARRAY [0..7] OF BYTE;
CONST
    NousChar : CharArray=(
   {   0 }	( $00, $00, $00, $00, $00, $00, $00, $00 ),
   {   1 }	( $7E, $81, $A5, $81, $BD, $99, $81, $7E ),
   {   2 }	( $7E, $FF, $DB, $FF, $C3, $E7, $FF, $7E ),
   {   3 }	( $6C, $FE, $FE, $FE, $7C, $38, $10, $00 ),
   {   4 }	( $10, $38, $7C, $FE, $7C, $38, $10, $00 ),
   {   5 }	( $38, $7C, $38, $FE, $FE, $D6, $10, $38 ),
   {   6 }	( $10, $10, $38, $7C, $FE, $7C, $10, $38 ),
   {   7 }	( $00, $00, $18, $3C, $3C, $18, $00, $00 ),
   {   8 }	( $FF, $FF, $E7, $C3, $C3, $E7, $FF, $FF ),
   {   9 }	( $00, $3C, $66, $42, $42, $66, $3C, $00 ),
   {  10 }	( $FF, $C3, $99, $BD, $BD, $99, $C3, $FF ),
   {  11 }	( $0F, $07, $0F, $7D, $CC, $CC, $CC, $78 ),
   {  12 }	( $3C, $66, $66, $66, $3C, $18, $7E, $18 ),
   {  13 }	( $3F, $33, $3F, $30, $30, $70, $F0, $E0 ),
   {  14 }	( $7F, $63, $7F, $63, $63, $67, $E6, $C0 ),
   {  15 }	( $18, $DB, $3C, $E7, $E7, $3C, $DB, $18 ),
   {  16 }	( $80, $E0, $F8, $FE, $F8, $E0, $80, $00 ),
   {  17 }	( $02, $0E, $3E, $FE, $3E, $0E, $02, $00 ),
   {  18 }	( $18, $3C, $7E, $18, $18, $7E, $3C, $18 ),
   {  19 }	( $66, $66, $66, $66, $66, $00, $66, $00 ),
   {  20 }	( $7F, $DB, $DB, $7B, $1B, $1B, $1B, $00 ),
   {  21 }	( $3E, $63, $38, $6C, $6C, $38, $CC, $78 ),
   {  22 }	( $00, $00, $00, $00, $7E, $7E, $7E, $00 ),
   {  23 }	( $18, $3C, $7E, $18, $7E, $3C, $18, $FF ),
   {  24 }	( $18, $3C, $7E, $18, $18, $18, $18, $00 ),
   {  25 }	( $18, $18, $18, $18, $7E, $3C, $18, $00 ),
   {  26 }	( $00, $18, $0C, $FE, $0C, $18, $00, $00 ),
   {  27 }	( $00, $30, $60, $FE, $60, $30, $00, $00 ),
   {  28 }	( $00, $00, $C0, $C0, $C0, $FE, $00, $00 ),
   {  29 }	( $00, $24, $66, $FF, $66, $24, $00, $00 ),
   {  30 }	( $00, $18, $3C, $7E, $FF, $FF, $00, $00 ),
   {  31 }	( $00, $FF, $FF, $7E, $3C, $18, $00, $00 ),
   {  32 }	( $00, $00, $00, $00, $00, $00, $00, $00 ),
   {  33 }	( $30, $78, $78, $30, $30, $00, $30, $00 ),
   {  34 }	( $6C, $6C, $6C, $00, $00, $00, $00, $00 ),
   {  35 }	( $6C, $6C, $FE, $6C, $FE, $6C, $6C, $00 ),
   {  36 }	( $30, $7C, $C0, $78, $0C, $F8, $30, $00 ),
   {  37 }	( $00, $C6, $CC, $18, $30, $66, $C6, $00 ),
   {  38 }	( $38, $6C, $38, $76, $DC, $CC, $76, $00 ),
   {  39 }	( $60, $60, $C0, $00, $00, $00, $00, $00 ),
   {  40 }	( $18, $30, $60, $60, $60, $30, $18, $00 ),
   {  41 }	( $60, $30, $18, $18, $18, $30, $60, $00 ),
   {  42 }	( $00, $66, $3C, $FF, $3C, $66, $00, $00 ),
   {  43 }	( $00, $30, $30, $FC, $30, $30, $00, $00 ),
   {  44 }	( $00, $00, $00, $00, $00, $30, $30, $60 ),
   {  45 }	( $00, $00, $00, $FC, $00, $00, $00, $00 ),
   {  46 }	( $00, $00, $00, $00, $00, $30, $30, $00 ),
   {  47 }	( $06, $0C, $18, $30, $60, $C0, $80, $00 ),
   {  48 }	( $7C, $C6, $C6, $D6, $C6, $C6, $7C, $00 ),
   {  49 }	( $30, $70, $30, $30, $30, $30, $FC, $00 ),
   {  50 }	( $78, $CC, $0C, $38, $60, $CC, $FC, $00 ),
   {  51 }	( $78, $CC, $0C, $38, $0C, $CC, $78, $00 ),
   {  52 }	( $1C, $3C, $6C, $CC, $FE, $0C, $1E, $00 ),
   {  53 }	( $FC, $C0, $F8, $0C, $0C, $CC, $78, $00 ),
   {  54 }	( $38, $60, $C0, $F8, $CC, $CC, $78, $00 ),
   {  55 }	( $FC, $CC, $0C, $18, $30, $30, $30, $00 ),
   {  56 }	( $78, $CC, $CC, $78, $CC, $CC, $78, $00 ),
   {  57 }	( $78, $CC, $CC, $7C, $0C, $18, $70, $00 ),
   {  58 }	( $00, $30, $30, $00, $00, $30, $30, $00 ),
   {  59 }	( $00, $30, $30, $00, $00, $30, $30, $60 ),
   {  60 }	( $18, $30, $60, $C0, $60, $30, $18, $00 ),
   {  61 }	( $00, $00, $FC, $00, $00, $FC, $00, $00 ),
   {  62 }	( $60, $30, $18, $0C, $18, $30, $60, $00 ),
   {  63 }	( $78, $CC, $0C, $18, $30, $00, $30, $00 ),
   {  64 }	( $7C, $C6, $DE, $DE, $DE, $C0, $78, $00 ),
   {  65 }	( $30, $78, $CC, $CC, $FC, $CC, $CC, $00 ),
   {  66 }	( $FC, $66, $66, $7C, $66, $66, $FC, $00 ),
   {  67 }	( $3C, $66, $C0, $C0, $C0, $66, $3C, $00 ),
   {  68 }	( $F8, $6C, $66, $66, $66, $6C, $F8, $00 ),
   {  69 }	( $FE, $62, $68, $78, $68, $62, $FE, $00 ),
   {  70 }	( $FE, $62, $68, $78, $68, $60, $F0, $00 ),
   {  71 }	( $3C, $66, $C0, $C0, $CE, $66, $3E, $00 ),
   {  72 }	( $CC, $CC, $CC, $FC, $CC, $CC, $CC, $00 ),
   {  73 }	( $78, $30, $30, $30, $30, $30, $78, $00 ),
   {  74 }	( $1E, $0C, $0C, $0C, $CC, $CC, $78, $00 ),
   {  75 }	( $E6, $66, $6C, $78, $6C, $66, $E6, $00 ),
   {  76 }	( $F0, $60, $60, $60, $62, $66, $FE, $00 ),
   {  77 }	( $C6, $EE, $FE, $FE, $D6, $C6, $C6, $00 ),
   {  78 }	( $C6, $E6, $F6, $DE, $CE, $C6, $C6, $00 ),
   {  79 }	( $38, $6C, $C6, $C6, $C6, $6C, $38, $00 ),
   {  80 }	( $FC, $66, $66, $7C, $60, $60, $F0, $00 ),
   {  81 }	( $78, $CC, $CC, $CC, $DC, $78, $1C, $00 ),
   {  82 }	( $FC, $66, $66, $7C, $6C, $66, $E6, $00 ),
   {  83 }	( $78, $CC, $60, $30, $18, $CC, $78, $00 ),
   {  84 }	( $FC, $B4, $30, $30, $30, $30, $78, $00 ),
   {  85 }	( $CC, $CC, $CC, $CC, $CC, $CC, $FC, $00 ),
   {  86 }	( $CC, $CC, $CC, $CC, $CC, $78, $30, $00 ),
   {  87 }	( $C6, $C6, $C6, $D6, $FE, $EE, $C6, $00 ),
   {  88 }	( $C6, $C6, $6C, $38, $38, $6C, $C6, $00 ),
   {  89 }	( $CC, $CC, $CC, $78, $30, $30, $78, $00 ),
   {  90 }	( $FE, $C6, $8C, $18, $32, $66, $FE, $00 ),
   {  91 }	( $78, $60, $60, $60, $60, $60, $78, $00 ),
   {  92 }	( $C0, $60, $30, $18, $0C, $06, $02, $00 ),
   {  93 }	( $78, $18, $18, $18, $18, $18, $78, $00 ),
   {  94 }	( $10, $38, $6C, $C6, $00, $00, $00, $00 ),
   {  95 }	( $00, $00, $00, $00, $00, $00, $00, $FF ),
   {  96 }	( $30, $30, $18, $00, $00, $00, $00, $00 ),
   {  97 }	( $00, $00, $78, $0C, $7C, $CC, $76, $00 ),
   {  98 }	( $E0, $60, $60, $7C, $66, $66, $DC, $00 ),
   {  99 }	( $00, $00, $78, $CC, $C0, $CC, $78, $00 ),
   { 100 }	( $1C, $0C, $0C, $7C, $CC, $CC, $76, $00 ),
   { 101 }	( $00, $00, $78, $CC, $FC, $C0, $78, $00 ),
   { 102 }	( $38, $6C, $60, $F0, $60, $60, $F0, $00 ),
   { 103 }	( $00, $00, $76, $CC, $CC, $7C, $0C, $F8 ),
   { 104 }	( $E0, $60, $6C, $76, $66, $66, $E6, $00 ),
   { 105 }	( $30, $00, $70, $30, $30, $30, $78, $00 ),
   { 106 }	( $0C, $00, $0C, $0C, $0C, $CC, $CC, $78 ),
   { 107 }	( $E0, $60, $66, $6C, $78, $6C, $E6, $00 ),
   { 108 }	( $70, $30, $30, $30, $30, $30, $78, $00 ),
   { 109 }	( $00, $00, $CC, $FE, $FE, $D6, $C6, $00 ),
   { 110 }	( $00, $00, $F8, $CC, $CC, $CC, $CC, $00 ),
   { 111 }	( $00, $00, $78, $CC, $CC, $CC, $78, $00 ),
   { 112 }	( $00, $00, $DC, $66, $66, $7C, $60, $F0 ),
   { 113 }	( $00, $00, $76, $CC, $CC, $7C, $0C, $1E ),
   { 114 }	( $00, $00, $DC, $76, $66, $60, $F0, $00 ),
   { 115 }	( $00, $00, $7C, $C0, $78, $0C, $F8, $00 ),
   { 116 }	( $10, $30, $7C, $30, $30, $34, $18, $00 ),
   { 117 }	( $00, $00, $CC, $CC, $CC, $CC, $76, $00 ),
   { 118 }	( $00, $00, $CC, $CC, $CC, $78, $30, $00 ),
   { 119 }	( $00, $00, $C6, $D6, $FE, $FE, $6C, $00 ),
   { 120 }	( $00, $00, $C6, $6C, $38, $6C, $C6, $00 ),
   { 121 }	( $00, $00, $CC, $CC, $CC, $7C, $0C, $F8 ),
   { 122 }	( $00, $00, $FC, $98, $30, $64, $FC, $00 ),
   { 123 }	( $1C, $30, $30, $E0, $30, $30, $1C, $00 ),
   { 124 }	( $18, $18, $18, $18, $18, $18, $18, $00 ),
   { 125 }	( $E0, $30, $30, $1C, $30, $30, $E0, $00 ),
   { 126 }	( $76, $DC, $00, $00, $00, $00, $00, $00 ),
   { 127 }	( $10, $28, $44, $82, $82, $82, $FE, $00 ),
   { 128 }	( $3C, $66, $C0, $C0, $66, $3C, $0C, $38 ),
   { 129 }	( $CC, $00, $CC, $CC, $CC, $CC, $76, $00 ),
   { 130 }	( $18, $30, $78, $CC, $FC, $C0, $78, $00 ),
   { 131 }	( $78, $84, $78, $0C, $7C, $CC, $76, $00 ),
   { 132 }	( $CC, $00, $78, $0C, $7C, $CC, $7E, $00 ),
   { 133 }	( $30, $CC, $30, $CC, $CC, $CC, $76, $00 ),
   { 134 }	( $18, $30, $78, $CC, $C0, $CC, $78, $00 ),
   { 135 }	( $00, $00, $78, $CC, $C0, $CC, $78, $18 ),
   { 136 }	( $30, $36, $3C, $38, $30, $70, $DC, $00 ),
   { 137 }	( $CC, $00, $78, $CC, $FC, $C0, $78, $00 ),
   { 138 }	( $66, $CC, $7C, $C6, $C6, $C6, $7C, $00 ),
   { 139 }	( $00, $66, $CC, $78, $CC, $CC, $78, $00 ),
   { 140 }	( $70, $88, $70, $30, $30, $30, $78, $00 ),
   { 141 }	( $0C, $18, $FE, $0C, $30, $60, $FE, $00 ),
   { 142 }	( $C6, $38, $6C, $C6, $FE, $C6, $C6, $00 ),
   { 143 }	( $0C, $18, $7C, $C6, $C0, $C6, $7C, $00 ),
   { 144 }	( $0C, $18, $FC, $60, $78, $60, $FC, $00 ),
   { 145 }	( $CC, $D8, $C0, $C0, $C0, $C0, $FE, $00 ),
   { 146 }	( $CC, $D8, $C0, $C0, $C0, $C0, $78, $00 ),
   { 147 }	( $78, $CC, $00, $78, $CC, $CC, $78, $00 ),
   { 148 }	( $CC, $00, $78, $CC, $CC, $CC, $78, $00 ),
   { 149 }	( $CC, $C4, $C8, $C0, $C0, $C0, $FE, $00 ),
   { 150 }	( $CC, $C4, $C8, $C0, $C0, $C0, $78, $00 ),
   { 151 }	( $0C, $18, $7E, $C0, $7C, $06, $FC, $00 ),
   { 152 }	( $0C, $18, $3E, $60, $3C, $06, $7C, $00 ),
   { 153 }	( $C6, $7C, $C6, $C6, $C6, $C6, $7C, $00 ),
   { 154 }	( $C6, $00, $C6, $C6, $C6, $C6, $7C, $00 ),
   { 155 }	( $CC, $78, $FC, $30, $30, $30, $30, $00 ),
   { 156 }	( $13, $31, $7A, $30, $30, $34, $18, $00 ),
   { 157 }	( $60, $6C, $78, $70, $60, $E0, $7E, $00 ),
   { 158 }	( $00, $C6, $6C, $38, $6C, $C6, $00, $00 ),
   { 159 }	( $66, $3C, $3C, $66, $60, $66, $3C, $00 ),
   { 160 }	( $0C, $18, $78, $0C, $7C, $CC, $7E, $00 ),
   { 161 }	( $0C, $18, $38, $18, $18, $18, $3C, $00 ),
   { 162 }	( $00, $0C, $18, $78, $CC, $CC, $78, $00 ),
   { 163 }	( $00, $18, $30, $CC, $CC, $CC, $7E, $00 ),
   { 164 }	( $38, $6C, $C6, $FE, $C6, $D6, $18, $0E ),
   { 165 }	( $00, $00, $78, $0C, $7C, $CC, $76, $0F ),
   { 166 }	( $66, $3C, $FE, $0C, $18, $60, $FE, $00 ),
   { 167 }	( $66, $3C, $00, $7E, $0C, $30, $7E, $00 ),
   { 168 }	( $FE, $C0, $C0, $F8, $C0, $C0, $FE, $1C ),
   { 169 }	( $00, $00, $78, $CC, $FC, $C0, $78, $1C ),
   { 170 }	( $00, $00, $00, $00, $00, $00, $00, $00 ),
   { 171 }	( $0C, $18, $00, $7E, $0C, $30, $7E, $00 ),
   { 172 }	( $66, $3C, $7C, $C6, $C0, $C6, $7C, $00 ),
   { 173 }	( $00, $00, $7C, $C0, $78, $0C, $F8, $38 ),
   { 174 }	( $00, $33, $66, $CC, $66, $33, $00, $00 ),
   { 175 }	( $00, $CC, $66, $33, $66, $CC, $00, $00 ),
   { 176 }	( $22, $88, $22, $88, $22, $88, $22, $88 ),
   { 177 }	( $55, $AA, $55, $AA, $55, $AA, $55, $AA ),
   { 178 }	( $DB, $77, $DB, $EE, $DB, $77, $DB, $EE ),
   { 179 }	( $18, $18, $18, $18, $18, $18, $18, $18 ),
   { 180 }	( $18, $18, $18, $18, $F8, $18, $18, $18 ),
   { 181 }	( $0C, $18, $7C, $C6, $FE, $C6, $C6, $00 ),
   { 182 }	( $7C, $82, $7C, $C6, $FE, $C6, $C6, $00 ),
   { 183 }	( $CC, $78, $FE, $C0, $F8, $C0, $FE, $00 ),
   { 184 }	( $78, $CC, $60, $30, $18, $CC, $78, $30 ),
   { 185 }	( $36, $36, $F6, $06, $F6, $36, $36, $36 ),
   { 186 }	( $36, $36, $36, $36, $36, $36, $36, $36 ),
   { 187 }	( $00, $00, $FE, $06, $F6, $36, $36, $36 ),
   { 188 }	( $36, $36, $F6, $06, $FE, $00, $00, $00 ),
   { 189 }	( $18, $FE, $C6, $0C, $30, $C6, $FE, $00 ),
   { 190 }	( $00, $18, $00, $7C, $18, $30, $7C, $00 ),
   { 191 }	( $00, $00, $00, $00, $F8, $18, $18, $18 ),
   { 192 }	( $18, $18, $18, $18, $1F, $00, $00, $00 ),
   { 193 }	( $18, $18, $18, $18, $FF, $00, $00, $00 ),
   { 194 }	( $00, $00, $00, $00, $FF, $18, $18, $18 ),
   { 195 }	( $18, $18, $18, $18, $1F, $18, $18, $18 ),
   { 196 }	( $00, $00, $00, $00, $FF, $00, $00, $00 ),
   { 197 }	( $18, $18, $18, $18, $FF, $18, $18, $18 ),
   { 198 }	( $C6, $7C, $7C, $C6, $FE, $C6, $C6, $00 ),
   { 199 }	( $CC, $78, $78, $0C, $7C, $CC, $76, $00 ),
   { 200 }	( $36, $36, $37, $30, $3F, $00, $00, $00 ),
   { 201 }	( $00, $00, $3F, $30, $37, $36, $36, $36 ),
   { 202 }	( $36, $36, $F7, $00, $FF, $00, $00, $00 ),
   { 203 }	( $00, $00, $FF, $00, $F7, $36, $36, $36 ),
   { 204 }	( $36, $36, $37, $30, $37, $36, $36, $36 ),
   { 205 }	( $00, $00, $FF, $00, $FF, $00, $00, $00 ),
   { 206 }	( $36, $36, $F7, $00, $F7, $36, $36, $36 ),
   { 207 }	( $00, $42, $3C, $66, $66, $3C, $42, $00 ),
   { 208 }	( $0C, $3E, $0C, $7C, $CC, $CC, $76, $00 ),
   { 209 }	( $7C, $66, $66, $F6, $66, $66, $7C, $00 ),
   { 210 }	( $CC, $78, $FC, $66, $66, $66, $FC, $00 ),
   { 211 }	( $CC, $00, $FC, $60, $78, $60, $FC, $00 ),
   { 212 }	( $1D, $0D, $0C, $7C, $CC, $CC, $76, $00 ),
   { 213 }	( $24, $18, $E6, $F6, $DE, $CE, $C6, $00 ),
   { 214 }	( $18, $30, $78, $30, $30, $30, $78, $00 ),
   { 215 }	( $78, $84, $78, $30, $30, $30, $78, $00 ),
   { 216 }	( $CC, $78, $78, $CC, $FC, $C0, $78, $00 ),
   { 217 }	( $81, $9D, $FF, $89, $BF, $89, $FF, $A5 ),
   { 218 }	( $81, $9D, $FF, $89, $BF, $89, $FF, $A5 ),
   { 219 }	( $00, $1C, $1C, $08, $3E, $08, $18, $24 ),
   { 220 }	( $00, $38, $38, $10, $78, $10, $30, $50 ),
   { 221 }	( $00, $1C, $1C, $08, $1E, $08, $0C, $0A ),
   { 222 }	( $FF, $02, $02, $02, $FF, $20, $20, $20 ),
   { 223 }	( $81, $81, $FF, $81, $81, $81, $FF, $81 ),
   { 224 }	( $00, $00, $00, $7E, $42, $42, $7E, $00 ),
   { 225 }	( $81, $81, $FF, $81, $81, $81, $FF, $81 ),
   { 226 }	( $FF, $00, $00, $00, $00, $00, $00, $00 ),
   { 227 }	( $00, $00, $00, $00, $00, $00, $00, $00 ),
   { 228 }	( $FF, $80, $80, $80, $80, $80, $80, $FF ),
   { 229 }	( $81, $9D, $FF, $89, $BF, $89, $FF, $A5 ),
   { 230 }	( $FF, $5D, $5D, $3E, $08, $18, $24, $00 ),
   { 231 }	( $FF, $1C, $1C, $08, $FF, $28, $38, $24 ),
   { 232 }	( $0C, $18, $FC, $C6, $FC, $D8, $CC, $00 ),
   { 233 }	( $0C, $18, $C6, $C6, $C6, $C6, $7C, $00 ),
   { 234 }	( $18, $30, $CE, $F0, $E0, $C0, $C0, $00 ),
   { 235 }	( $66, $CC, $C6, $C6, $C6, $C6, $7C, $00 ),
   { 236 }	( $0C, $18, $C6, $C6, $66, $3E, $0C, $78 ),
   { 237 }	( $0C, $DE, $C6, $66, $3C, $18, $30, $00 ),
   { 238 }	( $30, $78, $30, $30, $30, $38, $18, $1E ),
   { 239 }	( $0C, $18, $00, $00, $00, $00, $00, $00 ),
   { 240 }	( $00, $00, $00, $3C, $00, $00, $00, $00 ),
   { 241 }	( $66, $CC, $00, $00, $00, $00, $00, $00 ),
   { 242 }	( $00, $00, $00, $00, $00, $00, $10, $1C ),
   { 243 }	( $D8, $70, $00, $00, $00, $00, $00, $00 ),
   { 244 }	( $C6, $7C, $00, $00, $00, $00, $00, $00 ),
   { 245 }	( $3C, $66, $38, $6C, $6C, $38, $CC, $78 ),
   { 246 }	( $18, $18, $00, $7E, $00, $18, $18, $00 ),
   { 247 }	( $00, $00, $00, $00, $00, $00, $04, $1C ),
   { 248 }	( $38, $6C, $6C, $38, $00, $00, $00, $00 ),
   { 249 }	( $66, $00, $00, $00, $00, $00, $00, $00 ),
   { 250 }	( $18, $00, $00, $00, $00, $00, $00, $00 ),
   { 251 }	( $66, $CC, $00, $CC, $CC, $CC, $76, $00 ),
   { 252 }	( $D8, $70, $FC, $C6, $FC, $D8, $CC, $00 ),
   { 253 }	( $D8, $70, $CE, $D8, $E0, $C0, $C0, $00 ),
   { 254 }	( $00, $00, $3C, $3C, $3C, $3C, $00, $00 ),
   { 255 }	( $00, $00, $00, $00, $00, $00, $00, $00 ));

VAR
   Regs   : Registers;
   Font   : CharArray;
BEGIN
   Font := NousChar;
   WITH Regs DO
   BEGIN
      AH := $11;	{ Service		}
      AL := $00;	{ Subfunction		}
      BH := $08;	{ #bytes per char	}
      BL := $00;	{ Bank			}
      CX := $0100;	{ #chars to redefine	}
      DX := 0;		{ Starting char 	}
      ES := SEG (Font); { Font address segment	}
      BP := OFS (Font); { Font address offset	}
      INTR ($10, Regs);
   END;
END;

BEGIN
END.
