unit unitasm;
 interface
  type malecislo=0..80;
  procedure vyp_kurzor;
  procedure zap_kurzor;
  procedure set_kurzor(x,y:byte);
  procedure get_kurzor(var x,y:byte);
  procedure nastav_mod(cislom:byte);
  procedure ClearScreen(attr:byte; znak:char; blok:word);
  procedure Wait;
  procedure FastWrite(txt:string;Col,Row,Attr:byte);
  procedure ramik_prazdny(a,b,c,d:byte;s1,s2,s3,s4,s5,s6:string;farba:byte);
  procedure ramik_plny(a,b,c,d:byte;s1,s2,s3,s4,s5,s6,s7:string;farba:byte);
  procedure ramik_novy(a,b,c,d:byte;s1,s2,s3,s4,s5,s6,s7,s8,s9:string;farba:byte);
  procedure ramik_novy_prazdny(a,b,c,d:byte;s1,s2,s3,s4,s5,s6,s7,s8,s9:string;farba:byte);
  procedure tlacitko(x1,y1,x2:byte;s1,s2,s3,s4,s5,s6:string;farba:byte);
  procedure daj_cas(var hod,min,sek,stot:byte);
  procedure daj_datum(var den,mesiac:byte);
  procedure pauza(ms : word);
  procedure sound(hertz:word);
  procedure nosound;
  function readkey:char;
  function keypressed:Boolean;
{   Clearscreen(7,' ',2000);
    Fastwrite('*',0,1,7);}
 {   ramik(5,2,74,23,'','','','','','',' ',7);}
 implementation
 var scancode:byte;
 procedure vyp_kurzor;assembler;
  asm
   mov ax, $0100
   mov cx, $2607
   int 10h
  end;

 procedure zap_kurzor;assembler;
  asm
   mov ax, $0100
   mov cx, $0506
   int 10h
  end;

  procedure set_kurzor(x,y:byte);assembler;
   asm
    mov ah, 02h
    mov bh, 00h {cislo video stranky }
    dec x
    dec y
    mov dh, y
    mov dl, x
    int 10h
   end;

  procedure get_kurzor(var x,y:byte);
   var x1,y1:malecislo;
   begin
    asm
     mov dx,0
     mov cx,0
     mov ax,0
     mov bx,0
     mov ah, 03h
     int 10h
     inc dh
     inc dl
     mov x1,dl
     mov y1,dh

    end;
    x:=x1;
    y:=y1;
   end;

  procedure nastav_mod(cislom:byte);assembler;
   asm
    mov ah, 00h
    mov al, cislom
    int 10h
   end;

  procedure ClearScreen(attr:byte; znak:char; blok:word);assembler;
   asm
    MOV AX, $B800
    MOV ES, AX
    XOR DI, DI
    MOV CX, &BLOK
    MOV AH, ATTR
    MOV AL, &ZNAK
    REP STOSW
   end;

  procedure Wait; assembler;
    asm
     MOV AX,0
     INT 16H
    end;

  procedure FastWrite(txt:string;Col,Row,Attr:byte);assembler;
   asm
       PUSH DS
       MOV AX, $B800
       MOV ES, AX
       MOV CH, Row
       MOV BL, Col
       XOR AX, AX
       MOV CL, AL
       MOV BH, AL
       DEC CH
       SHR CX, 1
       MOV DI, CX
       SHR DI, 1
       SHR DI, 1
       ADD DI, CX
       DEC BX
       SHL BX, 1
       ADD DI, BX
       LDS SI, DWORD PTR (TXT)
       CLD
       LODSB
       XCHG AX, CX
       JCXZ @FWExIT
       MOV AH,Attr
    @FWDISPLAY:
       LODSB
       STOSW
       LOOP @FWDISPLAY
    @FWEXIT:
       POP DS
   end;
 {   ramik(x1,y1,x2,y2,'','','','','','',' ',farba);}
 { ramik(x1,y1,x2,y2,'','','','','','',' ',farba);}
  procedure ramik_prazdny(a,b,c,d:byte;s1,s2,s3,s4,s5,s6:string;farba:byte);
   var m,m2:byte;
   begin
    Fastwrite(s1,a,b,farba);
    for m:=a+1 to c-1 do FastWrite(s2,m,b,farba);
    FastWrite(s3,c,b,farba);
    for m:=b+1 to d-1 do begin
                          FastWrite(s4,a,m,farba);
                          FastWrite(s4,c,m,farba);
                         end;
    FastWrite(s5,a,d,farba);
    for m:=a+1 to c-1 do FastWrite(s2,m,d,farba);
    FastWrite(s6,c,d,farba);
   end;

  {klasicky ramik}
  procedure ramik_plny(a,b,c,d:byte;s1,s2,s3,s4,s5,s6,s7:string;farba:byte);
   var m,m2:byte;
   begin
    Fastwrite(s1,a,b,farba);
    for m:=a+1 to c-1 do FastWrite(s2,m,b,farba);
    FastWrite(s3,c,b,farba);
    for m:=b+1 to d-1 do begin
                          FastWrite(s4,a,m,farba);
                          for m2:=a+1 to c-1 do FastWrite(s7,m2,m,farba);
                          FastWrite(s4,c,m,farba);
                         end;
    FastWrite(s5,a,d,farba);
    for m:=a+1 to c-1 do FastWrite(s2,m,d,farba);
    FastWrite(s6,c,d,farba);
   end;

{Specialny ramik pre zmenu fontu, je plny}
{ ramik_novy(a+1,a+1,80-a,25-a,'','','','','','','','',' ',53);}
  procedure ramik_novy(a,b,c,d:byte;s1,s2,s3,s4,s5,s6,s7,s8,s9:string;farba:byte);
   var m,m2:byte;
   begin
    Fastwrite(s1,a,b,farba);
    for m:=a+1 to c-1 do FastWrite(s2,m,b,farba);
    FastWrite(s3,c,b,farba);
    for m:=b+1 to d-1 do begin
                          FastWrite(s4,a,m,farba);
                          for m2:=a+1 to c-1 do FastWrite(s9,m2,m,farba);
                          FastWrite(s5,c,m,farba);
                         end;
    FastWrite(s6,a,d,farba);
    for m:=a+1 to c-1 do FastWrite(s7,m,d,farba);
    FastWrite(s8,c,d,farba);
   end;

{Specialny ramik pre zmenu fontu, je prazdny}
  procedure ramik_novy_prazdny(a,b,c,d:byte;s1,s2,s3,s4,s5,s6,s7,s8,s9:string;farba:byte);
   var m,m2:byte;
   begin
    Fastwrite(s1,a,b,farba);
    for m:=a+1 to c-1 do FastWrite(s2,m,b,farba);
    FastWrite(s3,c,b,farba);
    for m:=b+1 to d-1 do begin
                          FastWrite(s4,a,m,farba);
                          FastWrite(s5,c,m,farba);
                         end;
    FastWrite(s6,a,d,farba);
    for m:=a+1 to c-1 do FastWrite(s7,m,d,farba);
    FastWrite(s8,c,d,farba);
   end;

  procedure tlacitko(x1,y1,x2:byte;s1,s2,s3,s4,s5,s6:string;farba:byte);
   var m,m2:byte;
   begin
    Fastwrite(s1,x1,y1,farba);
    for m:=x1+1 to x2-1 do FastWrite(s2,m,y1,farba);
    FastWrite(s3,x2,y1,farba);
    FastWrite(s4,x1,y1+1,farba);
    for m:=x1+1 to x2-1 do FastWrite(s5,m,y1+1,farba);
    FastWrite(s6,x2,y1+1,farba);
   end;

  procedure daj_cas(var hod,min,sek,stot:byte);
   var hod1,min1,sek1,stot1:byte;
   begin
    asm
     mov ah,2ch
     int 21h
     mov hod1,ch
     mov min1,cl
     mov sek1,dh
     mov stot1,dl
    end;
    hod:=hod1;
    min:=min1;
    sek:=sek1;
    stot:=stot1;
   end;
  procedure daj_datum(var den,mesiac:byte);
   var den1,mesiac1:byte;
   begin
     asm
      mov ah,2ah
      int 21h
      mov den1,dl
      mov mesiac1,dh
     end;
    den:=den1;
    mesiac:=mesiac1;
   end;
   procedure pauza(ms : word); Assembler;
{ms is the number of milliseconds to delay. 1000ms = 1second}
    asm
     mov ax,1000
     mul ms
     mov cx,dx
     mov dx,ax
     mov ah,86h
     int 15h
    end;

   procedure sound( hertz : word); Assembler;
{hertz is the sound frequency to send to the speaker port}
    asm
     MOV    BX,SP
     MOV    BX,&hertz
     MOV    AX,34DDh
     MOV    DX,0012h
     CMP    DX,BX
     JNB    @J1
     DIV    BX
     MOV    BX,AX
     IN     AL,61h
     TEST   AL,03h
     JNZ    @J2
     OR     AL,03h
     OUT    61h,AL
     MOV    AL,-4Ah
     OUT    43h,AL
@J2:
     MOV    AL,BL
     OUT    42h,AL
     MOV    AL,BH
     OUT    42h,AL
@J1:
end;

  procedure nosound; Assembler;
  {turns the speaker off}
   asm
    IN     AL,61h
    AND    AL,0FCh
    OUT    61h,AL
   end;

  function readkey:char;
   var znak:byte;
   begin
    asm
     mov ax,0
     int 16h
     cmp al,0
     jne @normal

     @nenormal:
     mov znak,ah
     jmp @exit

     @normal:
     mov znak,al

     @exit:
    end;
    readkey:=chr(znak);
   end;
{  function keypressed:Boolean;
   var a:byte;
   begin
    a:=0;
    asm
     mov al,0
     mov ah,1
     int 16h
     cmp scancode,al
     je @@2

    @@1: mov al,1
    @@2:
     mov a,al
    end;
    if a=1 then keypressed:=true
     else keypressed:=false;
   end;}
  function keypressed:boolean;assembler;
   asm
    mov ah,01h
    int 16h
    mov ax,0
    jz @1
    inc ax
    @1:
   end;


 begin
{  asm
   mov ah,1
   int 16h
   mov scancode,al
  end;}
 end.